aboutsummaryrefslogtreecommitdiffstats
path: root/main/recordproto/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-27 18:21:50 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-27 19:14:29 +0000
commitbd8f1f4778cbce936d1a9cc782b6cdf172081456 (patch)
tree6839eae5f385e20776b9ab1942e0694b5fdbafd0 /main/recordproto/APKBUILD
parent1a27add685ebec1949b730d3fbb00c4c7b722a0f (diff)
downloadaports-bd8f1f4778cbce936d1a9cc782b6cdf172081456.tar.gz
aports-bd8f1f4778cbce936d1a9cc782b6cdf172081456.tar.bz2
aports-bd8f1f4778cbce936d1a9cc782b6cdf172081456.tar.xz
main/[various]: update config.sub (fixes musl build)
Diffstat (limited to 'main/recordproto/APKBUILD')
-rw-r--r--main/recordproto/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/recordproto/APKBUILD b/main/recordproto/APKBUILD
index 599ea48d2e..c8eb228233 100644
--- a/main/recordproto/APKBUILD
+++ b/main/recordproto/APKBUILD
@@ -10,8 +10,15 @@ depends=""
makedepends=""
source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -21,7 +28,7 @@ build() {
}
package() {
- cd "$srcdir"/$pkgname-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
}